Bug 257459 - sysutils/devcpu-data: respect CC
Summary: sysutils/devcpu-data: respect CC
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sean Bruno
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-07-27 19:43 UTC by Evgeniy Khramtsov
Modified: 2021-08-02 02:08 UTC (History)
1 user (show)

See Also:
sbruno: maintainer-feedback+
evgeniy: maintainer-feedback?


Attachments
v1 (use "git am") (1.02 KB, patch)
2021-07-27 19:43 UTC, Evgeniy Khramtsov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evgeniy Khramtsov 2021-07-27 19:43:02 UTC
Created attachment 226743 [details]
v1 (use "git am")

/usr/bin/cc can be absent due to base built WITHOUT_CLANG,
external toolchain from ports can be installed instead.

Respect $CC from environment, e.g. when
/usr/local/share/toolchains/*.mk gets included:

cc ucode-split.c -o ucode-split
sh: cc: not found
*** [ucode-split] Error code 127

Tier-1 architectures poudriere testport (use zstdless):
(ports 3036f585e6b6af48cb255acf2cdc156c243afe95 Tue Jul 27 21:49:07 2021 +0300)

11.4/amd64: OK https://codeberg.org/ei/misc/raw/branch/main/poudriere/devcpu-data-1.39_114-amd64.log.zst
11.4/i386: OK https://codeberg.org/ei/misc/raw/branch/main/poudriere/devcpu-data-1.39_114-i386.log.zst
12.2/amd64: OK https://codeberg.org/ei/misc/raw/branch/main/poudriere/devcpu-data-1.39_122-amd64.log.zst
12.2/i386: OK https://codeberg.org/ei/misc/raw/branch/main/poudriere/devcpu-data-1.39_122-i386.log.zst
13.0/amd64: OK https://codeberg.org/ei/misc/raw/branch/main/poudriere/devcpu-data-1.39_130-amd64.log.zst

Runtime on 14-CURRENT base fork + ports fork: OK (dmesg CPU entry appears).

PORTREVISION is not bumped because ucode files of package did not change, only manifest with ports tree hash:

(root of extracted package, git repo initialized before patch) $ git diff

modified:   +COMPACT_MANIFEST
modified:   +MANIFEST
Comment 1 Sean Bruno freebsd_committer 2021-07-30 20:46:07 UTC
oh yeah, this is solid.  I'll commit today.
Comment 2 commit-hook freebsd_committer 2021-07-30 20:54:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=38c41132b06b566c476f09167431a4446db6170b

commit 38c41132b06b566c476f09167431a4446db6170b
Author:     Sean Bruno <sbruno@FreeBSD.org>
AuthorDate: 2021-07-30 20:48:46 +0000
Commit:     Sean Bruno <sbruno@FreeBSD.org>
CommitDate: 2021-07-30 20:53:48 +0000

    sysutils/devcpu-data: respect CC

    No need to bump PORTREVISION as this only fixes a build that never
    worked before this commit.

    PR: 257459
    Reported by: evgeniy@khramtsov.org

 sysutils/devcpu-data/files/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 3 Li-Wen Hsu freebsd_committer 2021-07-31 19:05:50 UTC
It looks this one can be merged to quarterly branch, and is there anything else to keep this ticket open?
Comment 4 Sean Bruno freebsd_committer 2021-08-02 01:08:39 UTC
(In reply to Li-Wen Hsu from comment #3)
Not really, I wasn't going to merge this as it isn't really a bugfix, but if someone wants to grab it, go for it.
Comment 5 Li-Wen Hsu freebsd_committer 2021-08-02 02:08:50 UTC
(In reply to Sean Bruno from comment #4)
Oh, right, I misread the log and thought the port wasn't built. Let's close this. :-)